#!/bin/bash
#####################################################################
#File Name: makeBneckParFile.sh
#Author:Benjamin Peter
#Creation Date: unknown
#Last Modification: 2009-10-27
#Description: Writes ParFile for the bneck model
#Arguments
#	 makeBneckParFile.php called with wrong number of parameters: 
#	 1. Present Pop size
#	 2. R
#	 3. Time to bottleneck
#  4. number of loci
#  5. SAMPLE SIZE");
#####################################################################

function round (){
  echo $(printf %.0f $1)
}
#####################################################################
nPresent=`round $1`;

rate=$2;
timeBneck=`round $3`
numLociToSimulate=`round $4`
sampSize=`round $5`
mutationRate="%ALPHA%MU";


#####################################################################
#Prepare simcoal input file with a bneck genetic structure
#Writing  par file
parFile="DEFAULT.par"

dataType="MICROSAT";
recRate=0;
geomParameterSTR=0;
rangeConstraint=0;

              
echo "//Parameters for the coalescence simulation program : simcoal.exe">$parFile
echo "1 samples to simulate">>$parFile

echo "//Population effective sizes (number of genes = 2*num diploids)">>$parFile
echo $nPresent >>$parFile

echo "//Samples sizes (number of genes); (2N = `echo $((2*$sampSize))`)" >>$parFile
echo $((2*$sampSize)) >>$parFile

ratePerGeneration=`echo | awk "{print $rate*log(10)/$timeBneck; }"`
echo "//Growth rates" >>$parFile
echo "$ratePerGeneration" >> $parFile

echo "//Number of migration matrix" >>$parFile
echo "0">>$parFile

echo "//Historical events" >>$parFile
echo "1 historical events" >> $parFile
echo "$timeBneck 0 0 1 1 0 0" >> $parFile

echo "//Number of independent loci" >> $parFile
echo "$numLociToSimulate 0" >> $parFile
for i in `seq $numLociToSimulate`; do
     echo "//Number of contiguous linkage blocks in chromosome $i" >> $parFile
     echo "1"  >> $parFile
     echo "//Per Block: Data type, No. of loci, Recombination rate to the right-side locus, plus optional parameters" >> $parFile
     echo "$dataType 1 $recRate $mutationRate 0 0"  >> $parFile
done

echo "finished writing parfile";

