######################################################################
#File Name: modelChoice_Beaumont_2.r
#File Type: R-Script
#Author: Benjamin Peter
#Creation: 27.10.20 09:58:21
#Last Modification: 27.10.20 09:58:21
#Description: very simple script to ease calling Nicolas' model choice script, and reformats output
#Requires: obs-file(with header) with observed Summary stats
#          ABC-output (*bestSims <- ParamStats*)-Files with 5k best sims
#          this is a version that does not produce any diagnostic graphs
#output: rankChoice.out with P(Models) for various distance thresholds
######################################################################


getFileFuzzy<-function(s){
   return(list.files()[grep(s,list.files())])
}

source("modelChoice_Beaumont.r")
obsFileName<-getFileFuzzy(".obs");
obsFile<-read.table(obsFileName,header=T)
models<-c()
a<-data.frame()
   models<-getFileFuzzy("bestSims.txt")
   #   abcbot <- simbot <- 005 <- BestSimsParamStats <- Obs999.txt
n<-unlist(call_calmod(models,obsFile[1,],F,T,F,5000)$x2);
n<-c("Beaumont",n);
a<-rbind(a,n)
names(a)<-c("Method","PBneck","PIsland")
write.table(a,"modelComparison.txt",quote=F,row.names=F,col.names=T,sep="\t")

