#!/bin/bash
######################################################################
#File Name: prepareObsFile.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: -gets for all possible sum stats either true/false to 
#   include/exclude this sum stat, then this script writes an ssdefs.txt
#   file, counts the number of SS and calculates the observed stats from
#   the observed data file
#Arguments: ./prepareObsFile.sh $filename $inputfilepath $K $sdK $H $sdH $GW $sdGW $R $sdR $FIS
#Requires: obs-file(with header) with observed Summary stats
#          ABC-output (*bestSims_ParamStats*)-Files with 5k best sims
#          this is a version that does not produce any diagnostic graphs
#output: rankChoice.out with P(Models) for various distance thresholds
######################################################################
filename=$1
shift
inputFilePath=$1
shift
K=$1
sdK=$2
H=$3
sdH=$4
GW=$5
sdGW=$6
R=$7
sdR=$8
FIS=$9

######################################################################
##CALCULATE SUMMARY STATISTCS FROM OBSERVED DATASET:
#create neccessary additional files:
./ArlequinIniMake.sh
#build ssdefs.txt string
cutlist="xxx"
index=1
noStats=0
ssdefs="List of summary statistics to compute (# sign means that these summary statisticss will not be computed)
-------------------------------------
GROUP_LEVEL"
        ssdefs="${ssdefs}\nALL_K"
        ssdefs="${ssdefs}\nALLSD_K"
        ssdefs="${ssdefs}\nALL_H"
        ssdefs="${ssdefs}\nALLSD_H"
        ssdefs="${ssdefs}\nALL_GW"
        ssdefs="${ssdefs}\nALLSD_GW"
        ssdefs="${ssdefs}\nALL_RANGE"
        ssdefs="${ssdefs}\nALLSD_RANGE"
        ssdefs="${ssdefs}\nGLOBAL_FSTAT"
echo -e "$ssdefs">ssdefs.txt
if [ $K == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+1))
if [ $sdK == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+2))
if [ $H == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+1))
if [ $sdH == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+2))
if [ $GW == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+1))
if [ $sdGW == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+2))
if [ $R == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+1))
if [ $sdR == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi
index=$((index+2))
if [ $FIS == true ]; then
        cutlist="${cutlist},$index"
        noStats=$((noStats+1))
fi

#calculate SS
./$ssCalculator $inputFilePath ${filename}.obsraw 0 1


	cutlist=`echo $cutlist | cut -d, -f2-`
echo "Cutlist: $cutlist";
#cut required SS 
if [ ! -z $cutlist ]; then
        cut -f$cutlist ${filename}.obsraw > ${filename}.obsp
        tail -n1 ${filename}.obsp > ${filename}.obs
fi

return $noStats

