#!/bin/bash
######################################################################
#File Name: runModelChoice.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: -runs the model Choice scripts and copies results into ../results
#Arguments: ./runModelChoice.sh $filename $beaumont $pritchard $output
#Requires: modelChoice_Beaumont.r, modelChoice_Beaumont_2.r, modelChoice_Pritchard.r
#     obsp-File with observed summary stats (and header)
#     *bestSims.txt file for all models to compare (output from ABCest)
#output: combined output file, in ../results 
######################################################################

echo $@
filename=$1
rPath=$2
beaumont=$3
pritchard=$4
output=$5

echo "2: $2"

mkdir modelChoice
mv ${filename}*_bestSims.txt modelChoice
cp ${filename}.obsp modelChoice

if [ ! -d results ]; then 
  mkdir results;
fi

echo -e "Procedure\tP(PSC)\tP(RFI)" > results/$output

if [ $beaumont == true ]; then
     cp modelChoice_Beaumont.r modelChoice
     cp modelChoice_Beaumont_2.r modelChoice
     cd modelChoice
       "$rPath" --no-save < modelChoice_Beaumont_2.r 
       tail -n1 modelComparison.txt >> ../results/$output
       cp modelComparison.txt ../results/results_Beaumont.txt
     cd ..     
fi

if [ $pritchard == true ]; then
     cp modelChoice_Pritchard.r modelChoice
     cd modelChoice
       "$rPath" --no-save < modelChoice_Pritchard.r
       echo -e "Pritchard\t`tail -n1 rankChoice.out | cut -f8,9`" >> ../results/$output
       cp rankChoice.out ../results/results_Pritchard.txt
     cd ..

fi

#format output

