#!/bin/bash
######################################################################
#File Name: runSims.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: runs ABC_simulations on local machine; basically this 
#   pararellizes runs of $abcSampler $numberOfCPUs times.
#  as soon as everything is finished, the resulting files are merged 
#Arguments: ./runSims.sh $filename $model $abcSampler $coalescenceSimulator $ssCalculator $numberOfIterationsPerModel $numberOfCPUs $logfile $tidyUp
#output: *.in-File with simulation parameters and corresponding summary stats
######################################################################


filename=$1
model=$2
abcSampler=$3
coalescenceSimulator=$4
ssCalculator=$5
numberOfIterationsPerModel=$6
numberOfCPUs=$7
logfile=$8
tidyUp=$9

echo 1: $1 5: $5
############################################################
#RUN SIMCOAL ABC FOR  MODEL
for i in `seq $numberOfCPUs`; do
        mkdir ${filename}_${model}_${i};
        cp ${abcSampler} ${filename}_${model}.est ${filename}_${model}_${i}
        cp ${abcSampler} ${filename}_${model}.input ${filename}_${model}_${i}
        cp ${abcSampler} make_${model}ParFile.sh ${filename}_${model}_${i}
        cp ${abcSampler} $coalescenceSimulator ${filename}_${model}_${i}
        cp ${abcSampler} $ssCalculator ${filename}_${model}_${i}
        cp ${abcSampler} ArlequinIniMake.sh ${filename}_${model}_${i}
        cp ${abcSampler} ssdefs.txt ${filename}_${model}_${i}
        cp ${abcSampler} arl_run.ars ${filename}_${model}_${i}
        cp ${abcSampler} ${filename}.obsp ${filename}_${model}_${i}
        cd ${filename}_${model}_${i};

        #write parFileWriter sh script
        #replace Default with parfile name in make${model}ParFile.php
        sed -i "s/DEFAULT.par/${filename}_${model}.par/" make_${model}ParFile.sh

        ./${abcSampler} ${filename}_${model}.input > $logfile &
        echo "started estimator, model $model; run $i/$numberOfCPUs"
        cd ..;
done
wait
echo "All Estimations Finished!"


if [ $model = bot ]; then
toCut=5,6,8,9-
elif [ $model = isl ]; then
toCut=8,10,11,12-
else "//assuming std parfile"
fi;

#output is saved in ${filename}_${model}_${i}/${filename}_${model}_sampling1.txt, plus some stuff we are not interested in
#cut this away:
head -n1 ${filename}_${model}_1/${filename}_${model}_sampling1.txt | cut -f${toCut} > ${filename}_${model}.in
for i in `seq $numberOfCPUs`; do
        cut -f${toCut} ${filename}_${model}_${i}/${filename}_${model}_sampling1.txt | tail -n+2>> ${filename}_${model}.in
done

