#!/bin/bash
######################################################################
#File Name: tidyUp.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: deletes everything created by runAS.sh 
#Arguments: ./tidyUp.sh $filename $inputfilepath
#output: none 
######################################################################

filename=$1
inputFilePath=$2
#delete .res-folder
resname=`echo $inputFilePath | sed -e "s/\(.*\)\.arp$/\1/"`
rm ${resname}.res/*
rmdir ${resname}.res
rm arl_run.txt
rm Arlequin.ini
rm randseed.txt ssdefs.txt summary_stats_temp.txt
rm SimCoalABC.log
for model in bot isl; do
	rm -r ${filename}_${model}_?
	rm ${filename}_${model}_ABCest_settings.txt              
	rm ${filename}_${model}_allSims_param_stats_1.txt        
	rm ${filename}_${model}_bestSims_stat_contribs_1.txt     
	rm ${filename}_${model}.est                              
	rm ${filename}_${model}_HPDU.txt                         
	rm ${filename}_${model}_HPDW.txt                         
	#rm ${filename}_${model}.in    not deleting this: takes to long to compute..
	rm ${filename}_${model}.input                            
	rm ${filename}_${model}_moments.txt                      
	rm ${filename}_${model}_outlierSims_10_sd.txt            
	rm ${filename}_${model}_outlierSims_20_sd.txt            
	rm ${filename}_${model}_outlierSims_5_sd.txt             
	rm ${filename}_${model}_resParam_?.txt                   
	rm ${filename}_${model}_resParam_FromUnweightedDens_?.txt
	rm ${filename}_${model}_resParam_FromWeightedDens_?.txt  
	rm ${filename}_${model}_resParam_NO_REGRESSION_?.txt     
	rm ${filename}_${model}_resSummary.txt                 
	rm ${filename}_${model}_SortedEuclidDistances_obs1.txt 

	rm ${filename}.obs
	rm ${filename}.obsp
	rm ${filename}.obsraw
done
#files to make par files
rm "make_botParFile.sh"
rm "make_islParFile.sh"

#check executables
rm $abcSampler
rm $coalescenceSimulator
rm $ssCalculator
rm $estimator
rm arl_run.ars


#check execution scripts
rm ArlequinIniMake.sh
rm prepareObsFile.sh
rm writeIslandEstFile.sh
rm writeInputFile.sh
rm runSims.sh
rm writeAbcEstFile.sh
rm runEstimator.sh
rm runModelChoice.sh
rm writeBneckEstFile.sh

rm -f modelChoice_Pritchard.r
rm -f modelChoice_Beaumont.r
rm -f modelChoice_Beaumont_2.r

