#!/bin/bash
######################################################################
#File Name: writeAbcEstFile.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: writes settings file for AbcEst 
#Arguments ./writeBneckAbcEstFile.sh $filename $model $estimator $noStats $numberOfRetainedSimulations $numberOfIterationsPerModel
#output: ABCest_settings file
######################################################################


filename=$1
model=$2
estimator=$3
noStats=$4
numberOfRetainedSimulations=$5
numberOfIterationsPerModel=$6

############################################################
#NOW, USE ABCEST TO GET 5000 CLOSEST SIMULATIONS FOR THIS MODEL
echo "${filename}_${model}.in //simulation file
${filename}.obs //observed statistics
3 //parameters
${noStats} //statistics
${numberOfRetainedSimulations} //simulations closest to observations to work on
1 //Distance choice 1: Beaumont 2: Loro 3: Grant-like;
${filename}_${model} //Generic name for output files
2 //Transformation (0: none; 1: log; 2: tan)
0 //Compute and output posterior densities of parameters 1 = yes, 0 = no output
1 //Presence of header line in simulation file 1 = yes, 0 = no
$((numberOfIterationsPerModel+1)) //Maximum number of lines to read in sim file
1 //output Euclidean distances 0=no, 1 = yes
0 //Compute multiple correlation coefficients 0=no, 1=yes
0 //Do Manly77 transform of statistics prior to regression 0=no, 1=yes
0 0.4 //Epanechnikov (0) or Gaussian (1) kernel for density. The 2nd parameter is the bandwidth" > ${filename}_${model}_ABCest_settings.txt

