#!/bin/bash
######################################################################
#File Name: writeBneckEstFile.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: writes .est File for the bottleneck model 
#Arguments: ./writeBneckEstFile.sh $filename $n0 $a $t $mu $alpha $noLoci $sampleSize 
#output: .est File for use with SimcoalABC
######################################################################

filename=$1
n0=$2
a=$3
t=$4
mu=$5
alpha=$6
noLoci=$7
sampleSize=$8

echo $@
echo "1: $1; 2: $2; 3: $3;"

(
echo "[PARAMETERS]"
#echo -e "1\tN_PRESENT\tunif\t1300\t1400"
echo "1 N_PRESENT "$n0
echo "0 R_TOTAL "$a
echo "1 TIME_BNECK "$t
echo "0 MU "$mu
echo "0 ALPHA "$alpha
echo "1 NUMBER_OF_LOCI unif $noLoci $noLoci"
echo "1 SAMPLE_SIZE unif $sampleSize $sampleSize"
echo "[RULES]"
echo "[COMPLEX PARAMETERS]"
) >${filename}_bot.est



