#!/bin/bash
######################################################################
#File Name: writeInputFile.sh 
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: Script to write InputFile for SimcoalABC
#Arguments: ./writeBneckInputFile.sh $filename $model $numberOfIterationsPerModel $numberOfCPUs $coalescenceSimulator $ssCalculator
#output: InputFile for SimcoalABC 
######################################################################

filename=$1
model=$2
numberOfIterationsPerModel=$3
numberOfCPUs=$4
coalescenceSimulator=$5
ssCalculator=$6

( echo "1: $filename; 2: $model; 4:nuCPUS $numberOfCPUs; 6: Arl: $ssCalculator";

echo "//Inputfile for the program \"simCoalABC\"
//-----------------------------------------------------------------------
//each Line first the NAME of the parameter (don't change!), then the VALUE
//and eventually after '//' some explanations.
//Lines are interchangeable. 
//----------------------------------------------------------------------- 
samplerType standard 
//-----------------------------------------------------------------------
//the follwoing Parameters are used for both simulation procedures
estName ${filename}_${model}.est //estimation file (*.est, with priors, rules, and parameters)
obsName ${filename}.obsp //filename of the file containing the observed dataset
outName ${filename}_${model}   //Outputfilename without extension
nbSims $((numberOfIterationsPerModel/numberOfCPUs))              //Number of simulations to perform
writeHeader 1        //write header to the Outputfile (0/1)?

//script to create ParFile
launchBeforeSim make_${model}ParFile.sh
"
if [ $model = bot ]; then
  echo "launchBeforeSimParam N_PRESENT#R_TOTAL#TIME_BNECK#NUMBER_OF_LOCI#SAMPLE_SIZE";
elif [ $model = isl ]; then
  echo "launchBeforeSimParam NUMBER_OF_DEMES#INDIVIDUALS_PER_DEME#SAMPLING_PARAMETER#NUMBER_OF_MIGRANTS#NUMBER_OF_LOCI#TIME_TO_MERGING#SAMPLE_SIZE#ANCIENT_SIZE"
else "//assuming std parfile"
fi;

echo "
simInputName ${filename}_${model}.par 
simParam SIMINPUTNAME#1#1#0 //simcoal input parameters, no of simulations#genotype/haplotype#gametic phase known
simulationProgram ${coalescenceSimulator} //name of simcoal executable (without '.exe' under Windows)
simDataName ${filename}_${model}-temp_0.arp 

sumStatProgram ${ssCalculator}          //name of sumstat executable (without  '.exe' under Windows)
sumStatParam SIMDATANAME#SSFILENAME#0#1") > ${filename}_${model}.input
