#!/bin/bash
######################################################################
#File Name: writeIslandEstFile.sh
#File Type: bash-Script
#Author: Benjamin Peter
#Creation: 27.10.2009 
#Last Modification: 27.10.2009
#Description: writes Est-File for island Model-gets for all possible sum stats either true/false to 
#Arguments: ./writeIslandEstFile.sh $filename "$D" "$N" "$T" "$Na" "$S" "$Nm" "$mu" "$alpha" "$noLoci" "$sampleSize"
#output: estFile for use with SimcoalABC 
######################################################################



filename=$1
shift
D=$1
shift
N=$1
T=$2
Na=$3
S=$4
Nm=$5
mu=$6
alpha=$7
noLoci=$8
sampleSize=$9



(
echo "[PARAMETERS]"
echo -e "1\tNUMBER_OF_DEMES\t$D"
echo -e "1\tINDIVIDUALS_PER_DEME\t$N"
echo -e "1\tTIME_TO_MERGING\t$T"
echo -e "1\tANCIENT_SIZE\t$Na"
echo -e "0\tSAMPLING_PARAMETER\t$S"
echo -e "0\tNUMBER_OF_MIGRANTS\t$Nm"
echo "0 MU "$mu
echo "0 ALPHA "$alpha
echo -e "1\tNUMBER_OF_LOCI\tunif\t$noLoci\t$noLoci"
echo -e "1\tSAMPLE_SIZE\tunif\t$sampleSize\t$sampleSize"
echo "[RULES]"
echo "[COMPLEX PARAMETERS]"
) >${filename}_isl.est

